Skip to main content
GET
/
assets
List assets
curl --request GET \
  --url https://api-staging.pixwel.com/api/assets \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'X-Range: <x-range>'
[
  {
    "_id": "539119191d06c4690e8b4569",
    "studio": "51e1495bd5cddc8041000000",
    "project": "53496d181d06c42a5f8b4568",
    "name": " Australia Vmax Logo",
    "usage": {
      "broadcast": true,
      "online": true,
      "dcp": false,
      "film35": false,
      "film70": false,
      "dcp4k": false,
      "imax": false,
      "atmos": false
    },
    "importName": " Australia Vmax Logo",
    "slug": "australia-vmax-logo",
    "type": "promo",
    "thumbnail": "53911cf1d86a15d0398b46a7",
    "verified": true,
    "previews": [
      {
        "_id": "5446144f5d30506d0a837aef",
        "asset": "539119191d06c4690e8b4569",
        "created": 1402019183,
        "label": "480p",
        "language": "ENG",
        "project": "53496d181d06c42a5f8b4568",
        "revision": "Final",
        "studio": "51e1495bd5cddc8041000000",
        "type": "none",
        "cdn": {
          "domain": "d2snblcjrm40d5.cloudfront.net",
          "path": "previews/paramount/tf4/promo/TF4_PROMO_ AUSTRALIA-VMAX-LOGO_ENG-AU_PRORES_1080p2398_PREVIEW_480p.mov",
          "key": "APKAJUC4E3CVGLCBTRHQ"
        }
      }
    ],
    "created": 1402018073,
    "mediaType": "video",
    "creative": false,
    "$links": {
      "self": "//api-staging.pixwel.com/api/Assets/539119191d06c4690e8b4569",
      "thumbnail": "//api-staging.pixwel.com/api/Files/53911cf1d86a15d0398b46a7",
      "project": "//api-staging.pixwel.com/api/Projects/tf4",
      "studio": "//api-staging.pixwel.com/api/Studios/paramount",
      "type": "//api-staging.pixwel.com/api/Assettypes/promo"
    },
    "$flags": [
      "<unknown>"
    ],
    "$permissions": {
      "canAutosub": true,
      "sources": {
        "requests": {
          "languages": [
            "<unknown>"
          ],
          "countries": [
            "<unknown>"
          ]
        },
        "autosubs": {
          "languages": [
            "<unknown>"
          ],
          "countries": [
            "<unknown>"
          ]
        }
      },
      "access": [
        "autosubs"
      ],
      "tags": {
        "online": true,
        "broadcast": true,
        "dcp": true,
        "cmyk": true,
        "rgb": true
      },
      "ingest": [
        "bumpers"
      ]
    },
    "$embargo": false,
    "$feedback": {
      "share": "<string>",
      "vote": "<string>",
      "summary": [
        "<unknown>"
      ]
    }
  }
]

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

X-Range
string
default:resources=0-9
required

Pagination range (e.g. resources=0-9, resources=10-19)

Query Parameters

id
string
importName
string
language
string
length
string
studio
string
project
string
q
string
category
string
type
string
slug
string
creative
string
private
string
maintain
string
placeholder
string

Response

200 - application/json

OK

_id
string
Example:

"539119191d06c4690e8b4569"

studio
string
Example:

"51e1495bd5cddc8041000000"

project
string
Example:

"53496d181d06c42a5f8b4568"

name
string
Example:

" Australia Vmax Logo"

usage
object
importName
string
Example:

" Australia Vmax Logo"

slug
string
Example:

"australia-vmax-logo"

type
string
Example:

"promo"

thumbnail
string
Example:

"53911cf1d86a15d0398b46a7"

verified
boolean
Example:

true

previews
object[]
created
integer
Example:

1402018073

mediaType
string
Example:

"video"

creative
boolean
Example:

false

$flags
any[]
$permissions
object
$embargo
boolean
Example:

false

$feedback
object